import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MainLayoutComponent } from './components/layout/main-layout/main-layout.component';
import { AuthLayoutComponent } from './components/layout/auth-layout/auth-layout.component';
import { LoginComponent } from './components/login/login.component';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { PageNotFoundComponent } from './components/page-not-found/page-not-found.component';

const routes: Routes = [
  { path: '', redirectTo: 'auth/login', pathMatch: 'full' },
{
  path: '',
  component: MainLayoutComponent,
  children: [
    { path: 'dashboard', component: DashboardComponent },
    // otras rutas que usan el MainLayoutComponent
  ],
},
{
  path: 'auth',
  component: AuthLayoutComponent,
  children: [
    { path: 'login', component: LoginComponent },
    // otras rutas de autenticación
  ],
},
{ path: '**', component: PageNotFoundComponent },  
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
